%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jdeparser
Version:          2.0.3
Release:          %mkrel 7
Group:            Development/Java
Summary:          Source generator library for Java
License:          ASL 2.0
URL:              https://github.com/jdeparser/jdeparser2
# old repos https://github.com/jdeparser/jdeparser
Source0:          %{url}/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz
Patch1:           0001-Drop-Assertions.callerIs.patch

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

%description
This project is a fork of Sun's (now Oracle's) com.sun.codemodel project. We
decided to fork the project because by all evidence, the upstream project is
dead and not actively accepting outside contribution. All JBoss projects are
urged to use this project instead for source code generation.

%prep
%autosetup -n jdeparser2-%{namedversion} -p 1

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.0.3-7.mga10
+ Revision: 2223426
- Mageia 10 Mass Rebuild

* Fri May 24 2024 ns80 <ns80> 2.0.3-6.mga10
+ Revision: 2067142
- rebuild for java 21

* Wed Sep 21 2022 neoclust <neoclust> 2.0.3-5.mga9
+ Revision: 1891248
- Fix build against latest java stack
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Sep 10 2020 daviddavid <daviddavid> 2.0.3-3.mga8
+ Revision: 1624157
- Force Java 8 as sun.reflect.Reflection is removed in Java 11

* Sun Feb 16 2020 umeabot <umeabot> 2.0.3-2.mga8
+ Revision: 1536158
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 2.0.3-1.mga8
+ Revision: 1453504
- Update to version 2.0.3

* Tue Sep 18 2018 umeabot <umeabot> 2.0.0-2.mga7
+ Revision: 1263008
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 2.0.0-1.mga6
+ Revision: 1103310
- New version 2.0.0.Final
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.0-5.mga6
+ Revision: 976503
- First rebuild of the java stack
- sync package jdeparser with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 738996
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 541172
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 1.0.0-2.mga4
+ Revision: 495314
- imported package jdeparser


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 29 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-1
- Initial packaging

